Reverse Phone ID Append
curl --request GET \
--url https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend"
headers = {"loginId": "<loginid>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {loginId: '<loginid>'}};
fetch('https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"loginId: <loginid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("loginId", "<loginid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend")
.header("loginId", "<loginid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["loginId"] = '<loginid>'
response = http.request(request)
puts response.read_body{
"Score": 100,
"Category": "I ",
"LastName": "CONSUMER",
"FirstName": "JOHN",
"MiddleInitial": "W",
"BusinessName": "",
"Address1": "123 BIRCH ST",
"Address2": "",
"City": "BEAVERTON",
"State": "OR",
"Zip": "97008",
"DPV": "Y",
"Phone": "7075276405",
"Rectype": "R",
"Telconame": "",
"DACode": " ",
"ResponseCode": null
}
Data Enhancement
Reverse Phone ID Append
Appends phone number information based on name and address data
GET
/
v1.4
/
Data
/
PhoneIDAppend
Reverse Phone ID Append
curl --request GET \
--url https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend"
headers = {"loginId": "<loginid>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {loginId: '<loginid>'}};
fetch('https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"loginId: <loginid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("loginId", "<loginid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend")
.header("loginId", "<loginid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["loginId"] = '<loginid>'
response = http.request(request)
puts response.read_body{
"Score": 100,
"Category": "I ",
"LastName": "CONSUMER",
"FirstName": "JOHN",
"MiddleInitial": "W",
"BusinessName": "",
"Address1": "123 BIRCH ST",
"Address2": "",
"City": "BEAVERTON",
"State": "OR",
"Zip": "97008",
"DPV": "Y",
"Phone": "7075276405",
"Rectype": "R",
"Telconame": "",
"DACode": " ",
"ResponseCode": null
}
Request
Headers
Query Parameters
Output parameters
| Field | Description |
|---|---|
Phone | Appended 10-digit phone number |
FirstName | First name associated with the address |
LastName | Last name associated with the address |
MiddleInitial | Middle initial |
BusinessName | Business name if applicable |
Address1 | Primary address line |
Address2 | Secondary address line |
City | City name |
State | State abbreviation |
Zip | ZIP code |
Score | Quality/confidence score |
Category | Classification category |
DPV | Delivery Point Validation code |
Rectype | Record type |
Telconame | Telecommunications company name |
DACode | Delivery Area code |
Example Request
curl --location --request GET \
'https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend
?FirstName=John
&LastName=Consumer
&Address1=123%20Birch%20St
&City=Beaverton
&State=OR
&Zip=97008' \
--header 'loginId: YOUR_API_KEY'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend?FirstName=John&LastName=Consumer&Address1=123%20Birch%20St&City=Beaverton&State=OR&Zip=97008',
{
method: 'GET',
headers: {
'loginId': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var response = await client.GetAsync(
"https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend?FirstName=John&LastName=Consumer&Address1=123%20Birch%20St&City=Beaverton&State=OR&Zip=97008"
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"Score": 100,
"Category": "I ",
"LastName": "CONSUMER",
"FirstName": "JOHN",
"MiddleInitial": "W",
"BusinessName": "",
"Address1": "123 BIRCH ST",
"Address2": "",
"City": "BEAVERTON",
"State": "OR",
"Zip": "97008",
"DPV": "Y",
"Phone": "7075276405",
"Rectype": "R",
"Telconame": "",
"DACode": " ",
"ResponseCode": null
}